## mkdocs-section-index 0.3.4

=== docs/requirements.txt ===
mkdocs
mkdocs-material

=== debian/changelog ===
mkdocs-section-index (0.3.4-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 13 Jul 2022 16:46:50 +0100

mkdocs-section-index (0.3.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1014399)

 -- Edward Betts <edward@4angle.com>  Tue, 05 Jul 2022 13:04:46 +0100

=== debian/control ===
Source: mkdocs-section-index
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               mkdocs,
               mkdocs-material,
               pybuild-plugin-pyproject,
               python3-all,
               python3-mechanicalsoup,
               python3-poetry,
               python3-pytest,
               python3-pytest-golden,
               python3-setuptools,
               python3-testfixtures
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/oprypin/mkdocs-section-index
Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-section-index
Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-section-index.git

Package: mkdocs-section-index
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Plugin for MkDocs to allow clickable sections that lead to an index page
 Normally sections in MkDocs cannot be clickable as pages themselves, but this
 plugin makes that possible.
 .
 This plugin requires per-theme overrides (implemented within the plugin), or
 support from themes themselves.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mkdocs-section-index
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf mkdocs_section_index.egg-info/

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}'))
	for dir in $(BUILD_DIR); do \
		cp -r example $$dir ; \
	done
	dh_auto_test
	for dir in $(BUILD_DIR); do \
		rm -r $$dir/example ; \
	done
endif

## mkdocs-section-index 0.3.5

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile --output-file=docs/requirements.txt -
#
click==8.1.3
    # via mkdocs
ghp-import==2.1.0
    # via mkdocs
importlib-metadata==4.11.4
    # via mkdocs
jinja2==3.1.2
    # via
    #   mkdocs
    #   mkdocs-material
markdown==3.3.7
    # via
    #   mkdocs
    #   mkdocs-material
    #   pymdown-extensions
markupsafe==2.1.1
    # via jinja2
mergedeep==1.3.4
    # via mkdocs
mkdocs==1.3.0
    # via
    #   -r -
    #   mkdocs-material
mkdocs-material==8.3.6
    # via -r -
mkdocs-material-extensions==1.0.3
    # via mkdocs-material
packaging==21.3
    # via mkdocs
pygments==2.12.0
    # via mkdocs-material
pymdown-extensions==9.5
    # via mkdocs-material
pyparsing==3.0.9
    # via packaging
python-dateutil==2.8.2
    # via ghp-import
pyyaml==6.0
    # via
    #   mkdocs
    #   pyyaml-env-tag
pyyaml-env-tag==0.1
    # via mkdocs
six==1.16.0
    # via python-dateutil
watchdog==2.1.9
    # via mkdocs
zipp==3.8.0
    # via importlib-metadata

=== debian/changelog ===
mkdocs-section-index (0.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Tue, 31 Jan 2023 09:33:43 +0000

mkdocs-section-index (0.3.4-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-all.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Oct 2022 13:41:50 +0100

mkdocs-section-index (0.3.4-4) unstable; urgency=medium

  * List test files in debian/pybuild.testfiles instead of debian/rules.
  * debian/control: Build-Depends: Add <!nocheck> to test packages.

 -- Edward Betts <edward@4angle.com>  Mon, 01 Aug 2022 13:41:52 +0100

mkdocs-section-index (0.3.4-3) unstable; urgency=medium

  * debian/upstream/metadata: fix github URLs.

 -- Edward Betts <edward@4angle.com>  Tue, 19 Jul 2022 15:06:46 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                mkdocs,
                mkdocs-material,
                pybuild-plugin-pyproject,
+               python3-hatchling,
                python3-all,
                python3-mechanicalsoup,
-               python3-poetry,
-               python3-pytest,
-               python3-pytest-golden,
+               python3-pytest <!nocheck>,
+               python3-pytest-golden <!nocheck>,
                python3-setuptools,
-               python3-testfixtures
+               python3-testfixtures <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/oprypin/mkdocs-section-index
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-section-index
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-section-index.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mkdocs-section-index
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf mkdocs_section_index.egg-info/

## mkdocs-section-index 0.3.8

=== debian/changelog ===
mkdocs-section-index (0.3.8-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 24 Sep 2023 21:09:21 +0100

mkdocs-section-index (0.3.6-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 08 Sep 2023 09:50:01 +0100

=== debian/tests/control ===
Tests: run-tests
Depends: mkdocs,
         mkdocs-material,
         python3-all,
         python3-mechanicalsoup,
         python3-pytest,
         python3-pytest-golden,
         python3-testfixtures,
         @

## mkdocs-section-index 0.3.9

=== debian/changelog ===
mkdocs-section-index (0.3.9-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Thu, 25 Apr 2024 07:25:25 +0100

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mkdocs-section-index-$1\.tar\.gz/ \
  https://github.com/oprypin/mkdocs-section-index/tags .*/v?(\d\S+)\.tar\.gz

## mkdocs-section-index 0.3.10

=== example/requirements.txt ===
mkdocs
mkdocs-material
mkdocs-section-index

=== debian/changelog ===
mkdocs-section-index (0.3.10-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Thu, 10 Apr 2025 07:37:56 +0100

=== debian/control ===
Source: mkdocs-section-index
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-setuptools,
Build-Depends-Indep:
 mkdocs,
 mkdocs-material,
 python3-mechanicalsoup,
 python3-pytest <!nocheck>,
 python3-pytest-golden <!nocheck>,
 python3-testfixtures <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/oprypin/mkdocs-section-index
Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-section-index
Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-section-index.git
Testsuite: autopkgtest-pkg-pybuild

Package: mkdocs-section-index
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Plugin for MkDocs to allow clickable sections that lead to an index page
 Normally sections in MkDocs cannot be clickable as pages themselves, but this
 plugin makes that possible.
 .
 This plugin requires per-theme overrides (implemented within the plugin), or
 support from themes themselves.

=== debian/watch ===
version=4
https://github.com/oprypin/mkdocs-section-index/tags .*/v?(\d\S+)\.tar\.gz
